<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\IPModel;

class IPEntity extends EquipmentEntity
{
    const PK = IPModel::PK;
    const TITLE = IPModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    public function getIP(): string
    {
        return $this->attributes['ip'];
    }
    public function getPrice(): int
    {
        return $this->attributes['price'];
    }
    public function getCustomTitle(): string
    {
        return   $this->getTitle() . " " . number_format($this->getPrice()) . "원";
    }
}
